Create a policy version
curl --request POST \
--url https://mycluster.domino.tech/api/governance/v1/policies/{id}/versions \
--header 'Content-Type: application/json' \
--data '
{
"definitionYAML": "<string>"
}
'import requests
url = "https://mycluster.domino.tech/api/governance/v1/policies/{id}/versions"
payload = { "definitionYAML": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({definitionYAML: '<string>'})
};
fetch('https://mycluster.domino.tech/api/governance/v1/policies/{id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowProjectApprovers": true,
"classificationArtifactMap": {},
"classificationRule": "<string>",
"createdAt": "<string>",
"createdBy": {},
"enforceSequentialOrder": true,
"gates": [
{
"id": "<string>",
"name": "<string>",
"policyId": "<string>",
"policyVersionId": "<string>",
"resources": [
{
"failOpen": true,
"parameters": {}
}
]
}
],
"id": "<string>",
"mandatoryBundleIds": [
"<string>"
],
"notes": "<string>",
"policyId": "<string>",
"simpleClassificationQuestionId": "<string>",
"stages": [
{
"approvals": [
{
"approvers": [
{
"editable": true,
"id": "<string>",
"name": "<string>",
"showByDefault": true,
"fromOrganizationUserId": "<string>",
"isOrganizationUser": true
}
],
"evidence": {
"artifacts": [
{
"details": {},
"id": "<string>",
"policyEntityId": "<string>",
"required": true,
"visibilityRule": "<string>",
"visible": true
}
],
"createdAt": "<string>",
"description": "<string>",
"externalId": "<string>",
"id": "<string>",
"name": "<string>",
"policyId": "<string>",
"policyVersionId": "<string>",
"visible": true
},
"id": "<string>",
"name": "<string>",
"policyEntityId": "<string>",
"revalidationConfig": {
"openWindowDaysBefore": 2,
"recurring": {
"every": 2,
"startDate": "<string>"
}
}
}
],
"evidenceSet": [
{
"artifacts": [
{
"details": {},
"id": "<string>",
"policyEntityId": "<string>",
"required": true,
"visibilityRule": "<string>",
"visible": true
}
],
"createdAt": "<string>",
"description": "<string>",
"externalId": "<string>",
"id": "<string>",
"name": "<string>",
"policyId": "<string>",
"policyVersionId": "<string>",
"visible": true
}
],
"id": "<string>",
"name": "<string>",
"notifyOnTransition": true,
"policyEntityId": "<string>",
"policyVersionId": "<string>"
}
],
"updatedAt": "<string>",
"updatedBy": {},
"upgradeStrategy": {
"approvals": {}
},
"version": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}policy-versions
Create a policy version
Create a policy version
POST
/
api
/
governance
/
v1
/
policies
/
{id}
/
versions
Create a policy version
Path Parameters
ID of the policy to create version for
Body
application/json
Policy version to create
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
Draft, Published, Archived Show child attributes
Show child attributes
Related topics
Create a policyDefine policiesCreate or update a policy version definition through yamlDraft a policy versionWas this page helpful?
⌘I